


typedef struct _PlaceableMetaHeader
{
  DWORD Key;           /* Magic number (always 9AC6CDD7h) */
  WORD  Handle;        /* Metafile HANDLE number (always 0) */
  SHORT Left;          /* Left coordinate in metafile units */
  SHORT Top;           /* Top coordinate in metafile units */
  SHORT Right;         /* Right coordinate in metafile units */
  SHORT Bottom;        /* Bottom coordinate in metafile units */
  WORD  Inch;          /* Number of metafile units per inch */
  DWORD Reserved;      /* Reserved (always 0) */
  WORD  Checksum;      /* Checksum value for previous 10 WORDs */
} PLACEABLEMETAHEADER;


#define PLACEABLEMAGIC 0x9AC6CDD7
#define PLACEABLESIZE  22


typedef HDC metahandle;

extern os_error * openwmf(int flags,int maxx,int maxy,metahandle * handle);
extern os_error * closewmf(os_error * err,metahandle handle,char * filename);
extern os_error * openpmf(int flags,int maxx,int maxy,metahandle * handle);
extern os_error * closepmf(os_error * err,metahandle handle,char * filename,int left,int right,int bottom,int top,int dpi);

// desc of form "CrossStar\0Grid\0" program name, picture name
extern os_error * openemf(char * filename,int flags,int maxx,int maxy,metahandle * handle,char * desc);
extern os_error * closeemf(os_error * err,metahandle handle);


